#! /bin/bash

IDir=$(pwd)

for d in $(ls | grep '[0-9]\+'); do
   echo $d
   cd $d
   echo "constraint  t0   0.0     0.001" > regularization.def
   ppmc3fitting.py -c channels.def -v variables.def -d dataset.def   --NumOfMCMCSimPoints 100000 --NumOfTheorPoints 200 --MinMaxPart 0.2  --UseLocalOptimization -r regularization.def > job.log 
#   ppmc3fitting.py -c channels.def -v variables.def -d dataset.def   --NumOfMCMCSimPoints 100000 --NumOfTheorPoints 200 --MinMaxPart 0.2  > job.log 
   cd ../
done
